Loading...
Searching...
No Matches
gx_engine::PreampConvolver Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::PreampConvolver:

## Public Member Functions

| PreampConvolver (EngineControl &engine, sigc::slot< void > sync, gx_resample::BufferResampler &resamp)
| ~PreampConvolver ()
Public Member Functions inherited from gx_engine::FixedBaseConvolver
| FixedBaseConvolver (EngineControl &engine, sigc::slot< void > sync, gx_resample::BufferResampler &resamp)
virtual | ~FixedBaseConvolver ()
void | set_sync (bool val)

## Private Member Functions

bool | do_update ()
virtual void | check_update () override
virtual bool | start (bool force=false) override
bool | preamp_changed ()
void | update_preamp ()

## Static Private Member Functions

static void | run_pre_conf (int count, float *input, float *output, PluginDef *)
static int | register_pre (const ParamReg &reg)

## Private Attributes

int | current_pre
float | level
int | preamp
float | bass
float | treble
value_pair * | pre_names
preamp_impulse_former::Dsp | impf
gx_resample::FixedRateResampler | smp

## Additional Inherited Members

Public Attributes inherited from gx_engine::FixedBaseConvolver
Plugin | plugin
Protected Member Functions inherited from gx_engine::FixedBaseConvolver
unsigned int | getSamplingFreq ()
void | change_buffersize (unsigned int)
int | conv_start ()
bool | check_update_timeout ()
Static Protected Member Functions inherited from gx_engine::FixedBaseConvolver
static void | init (unsigned int samplingFreq, PluginDef *p)
static int | activate (bool start, PluginDef *pdef)
Protected Attributes inherited from gx_engine::FixedBaseConvolver
GxSimpleConvolver | conv
boost::mutex | activate_mutex
EngineControl & | engine
sigc::slot< void > | sync
bool | activated
unsigned int | SamplingFreq
unsigned int | buffersize
unsigned int | bz
sigc::connection | update_conn
Protected Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 573 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## PreampConvolver()

gx_engine::PreampConvolver::PreampConvolver | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync,
|  | gx_resample::BufferResampler & | resamp )

## ~PreampConvolver()

gx_engine::PreampConvolver::~PreampConvolver | ( |  | ) |

## Member Function Documentation

## check_update()

virtual void gx_engine::PreampConvolver::check_update | ( |  | ) |

override private virtual

Implements gx_engine::FixedBaseConvolver.

## do_update()

bool gx_engine::PreampConvolver::do_update | ( |  | ) |

private

## preamp_changed()

bool gx_engine::PreampConvolver::preamp_changed | ( |  | ) |

inline private

Definition at line 588 of file gx_internal_plugins.h.

## register_pre()

int gx_engine::PreampConvolver::register_pre | ( | const ParamReg & | reg | ) |

static private

## run_pre_conf()

void gx_engine::PreampConvolver::run_pre_conf | ( | int | count,
|  | float * | input,
|  | float * | output,
|  | PluginDef * | )

static private

## start()

virtual bool gx_engine::PreampConvolver::start | ( | bool | force = false | ) |

override private virtual

Implements gx_engine::FixedBaseConvolver.

## update_preamp()

void gx_engine::PreampConvolver::update_preamp | ( |  | ) |

inline private

Definition at line 589 of file gx_internal_plugins.h.

## Member Data Documentation

## bass

float gx_engine::PreampConvolver::bass

private

Definition at line 578 of file gx_internal_plugins.h.

## current_pre

int gx_engine::PreampConvolver::current_pre

private

Definition at line 575 of file gx_internal_plugins.h.

Referenced by preamp_changed(), and update_preamp().

## impf

preamp_impulse_former::Dsp gx_engine::PreampConvolver::impf

private

Definition at line 581 of file gx_internal_plugins.h.

## level

float gx_engine::PreampConvolver::level

private

Definition at line 576 of file gx_internal_plugins.h.

## pre_names

value_pair* gx_engine::PreampConvolver::pre_names

private

Definition at line 580 of file gx_internal_plugins.h.

## preamp

int gx_engine::PreampConvolver::preamp

private

Definition at line 577 of file gx_internal_plugins.h.

Referenced by preamp_changed(), and update_preamp().

## smp

gx_resample::FixedRateResampler gx_engine::PreampConvolver::smp

private

Definition at line 582 of file gx_internal_plugins.h.

## treble

float gx_engine::PreampConvolver::treble

private

Definition at line 579 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h